local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end

function onBegin()

  if getFlag("entrandochegou") then

    disablePause()
    disableMovement()
    player.ForceCameraUpdate = true

    doFadeWipe(true)
    wait(1)

    setFlag("entrandochegou", false)
    enableMovement()
    enablePause()

  end

end